Browse Source

Update hacking version

Use latest release 1.1.0 and compatible changes w.r.t pep8

Change-Id: I5dcd4320619c7015dc826c6d39bfe74524dbc8c6
changes/80/628480/2
jacky06 2 years ago
parent
commit
12cfaf73d8
3 changed files with 9 additions and 8 deletions
  1. +5
    -5
      octavia_dashboard/tests/settings.py
  2. +1
    -1
      test-requirements.txt
  3. +3
    -2
      tox.ini

+ 5
- 5
octavia_dashboard/tests/settings.py View File

@ -16,16 +16,16 @@
from horizon.test.settings import * # noqa
from openstack_dashboard.test.settings import * # noqa
# pop these keys to avoid log warnings about deprecation
# update_dashboards will populate them anyway
HORIZON_CONFIG.pop('dashboards', None)
HORIZON_CONFIG.pop('default_dashboard', None)
# Update the dashboards with octavia_dashboard
import octavia_dashboard.enabled
import openstack_dashboard.enabled
from openstack_dashboard.utils import settings
# pop these keys to avoid log warnings about deprecation
# update_dashboards will populate them anyway
HORIZON_CONFIG.pop('dashboards', None)
HORIZON_CONFIG.pop('default_dashboard', None)
settings.update_dashboards(
[
octavia_dashboard.enabled,


+ 1
- 1
test-requirements.txt View File

@ -2,7 +2,7 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0
hacking>=1.1.0,<1.2.0 # Apache-2.0
coverage!=4.4,>=4.0 # Apache-2.0
selenium>=2.50.1 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0


+ 3
- 2
tox.ini View File

@ -76,9 +76,10 @@ commands = npm install
[flake8]
# E123, E125 skipped as they are invalid PEP-8.
# F405 TEMPLATES may be undefined, or defined from star imports
# (because it is not easy to avoid this in openstack_dashboard.test.settings)
show-source = True
ignore = E123,E125
ignore = E123,E125,F405
builtins = _
exclude=.venv,.git,.tox,.tmp,dist,doc,*lib/python*,*egg,build,node_modules


Loading…
Cancel
Save